Package com.mckoi.database

## Class Transaction.ColumnGroup

- java.lang.Object
- - com.mckoi.database.Transaction.ColumnGroup

Enclosing class:
  Transaction

    public static class Transaction.ColumnGroup
    extends java.lang.Object

A group of columns as used by the constraint system. A ColumnGroup is a simple list of columns in a table.

### Field Summary

Fields
`java.lang.String[]` `columns` The list of columns that make up the group.
`short` `deferred` Whether this is deferred or initially immediate.
`java.lang.String` `name` The name of the group (the constraint name).

### Constructor Summary

Constructors
`ColumnGroup()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

The name of the group (the constraint name).

#### columns

    public java.lang.String[] columns

The list of columns that make up the group.

#### deferred

    public short deferred

Whether this is deferred or initially immediate.

### Constructor Detail

#### ColumnGroup

    public ColumnGroup()